CHOWN(1)

NAME
chown - change file owner and group

SYNOPSIS
chown [options] user[:group] file...

POSIX options: [-R] [--]

GNU options (shortest form): [-cfhvR] [--dereference] [--reference=rfile] [--help] [--version] [--]

DESCRIPTION
chown changes the user and/or group ownership of each given file as specified by the first non-option argument as follows: if only a user name (or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the user name is followed by a colon and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well.

GNU DETAILS
The GNU version allows a dot instead of a colon (following BSD). [This was not allowed by POSIX since a dot is a valid character in a user name.] If a colon or dot but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon or dot and group are given, but the user name is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp.

POSIX OPTIONS

-R  Recursively change ownership of directories and their contents.

--  Terminate option list.

GNU OPTIONS

-c, --changes
    Verbosely describe the action for each file whose ownership actually changes.

-f, --silent, --quiet
    Do not print error messages about files whose ownership cannot be changed.

-h, --no-dereference
    Act on symbolic links themselves instead of what they point to. Only available if the lchown system call is provided.

-v, --verbose
    Verbosely describe the action (or non-action) taken for every file.

-R, --recursive
    Recursively change ownership of directories and their contents.

--dereference
    Change the ownership of the target of a symbolic link instead of the symbolic link itself. (New in fileutils-4.0.)

--reference=rfile
    (New in fileutils 4.0.) Change the ownership of file to that of rfile.

GNU STANDARD OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output, then exit successfully.

--  Terminate option list.

ENVIRONMENT
The variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES have the usual meaning.

CONFORMING TO
POSIX 1003.2 does not allow use of the dot as separator between user name and group name.

NOTES
This page describes chown as found in the fileutils-4.0 package; other versions may differ slightly.